Package com.complexible.stardog.spatial

# Class Feature

java.lang.Object
com.complexible.stardog.spatial.Feature

public final class Feature extends Object
Simple class which wraps a `Shape` and associates it with the dictionary ID of the resource associated with the shape. Example: :x geo:asWKT "POINT(9.93798 51.53128)"^^geo:wktLiteral Here the WKT literal represents the shape for the :x node. The Feature object will associate the ID of :x with POINT(9.93798 51.53128). This should not be confused with RDF nodes of type that may exist in the data. (same for :x geow:lat "9.93798"^^xsd:float ; geow:long "51.53128"^^xsd:float, the ID is for :x)

Since:
  4.0
Author:
  Michael Grove

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Feature(long theId, org.locationtech.spatial4j.shape.Shape theShape)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Feature`
  `create(long theId, org.locationtech.spatial4j.shape.Shape theShape)`
  `boolean`
  `equals(Object theObj)`
  `long`
  `getId()`
  Return the identifier of this shape.
  `org.locationtech.spatial4j.shape.Shape`
  `getShape()`
  Return the shape of this feature
  `int`
  `hashCode()`
  `static Function<Feature,org.locationtech.spatial4j.shape.Point>`
  `point()`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Feature

    public Feature(long theId, org.locationtech.spatial4j.shape.Shape theShape)

- ## Method Details

  - ### point

    public static Function<Feature,org.locationtech.spatial4j.shape.Point> point()

  - ### create

    public static Feature create(long theId, org.locationtech.spatial4j.shape.Shape theShape)

  - ### getShape

    public org.locationtech.spatial4j.shape.Shape getShape()
    Return the shape of this feature
    Returns:
      the shape

  - ### getId

    public long getId()
    Return the identifier of this shape. This is the system identifier for this feature
    Returns:
      return the id

  - ### equals

    public boolean equals(Object theObj)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`